APT-EXTRACTTEMPLATE(1)

NAZWA
apt-extracttemplates - Narzędzie wyciągające z pakietów Debiana skrypty konfiguracyjne i szablony debconf

STRESZCZENIE

apt-extracttemplates [-t=katalog_tymczasowy] nazwa_pliku... {-v | --version} {-h | --help}

OPIS

apt-extracttemplates pobiera jeden lub więcej pakietów Debiana i zapisuje (w katalogu tymczasowym) wszystkie skojarzone z nimi skrypty konfiguracyjne i pliki szablonów. Dla każdego pakietu zawierającego te skrypty i szablony, zostanie wypisana linia w następującym formacie:

pakiet wersja plik-template skrypt-config

plik-template i skrypt-config są zapisywane w katalogu tymczasowym podanym jako argument opcji -t lub --tempdir (APT::ExtractTemplates::TempDir). Nazwy tych plików są w postaci pakiet.template.XXXXXX oraz pakiet.config.XXXXXX.

OPCJE

Wszystkie opcje linii poleceń mogą być ustawione w pliku konfiguracyjnym. Poniższe opisy wskazują, którą opcję w pliku konfiguracyjnym należy ustawić. W przypadku opcji logicznych, można unieważnić ustawienia pliku konfiguracyjnego, używając -f-, --no-f, -f=no albo czegoś podobnego.

-t, --tempdir
    Katalog tymczasowy, w którym zapisywane będą wyciągnięte szablony debconf i pliki konfiguracyjne. Pozycja w pliku konfiguracyjnym: APT::ExtractTemplates::TempDir.

-h, --help
    Wyświetla krótkie informacje o użyciu.

-v, --version
    Wyświetla wersję programu.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Plik konfiguracyjny. Podaje plik konfiguracyjny do użycia. Program najpierw przeczyta swój domyślny plik konfiguracyjny, a następnie plik podany jako argument tej opcji. Jeśli jest potrzeba ustawienia opcji konfiguracji zanim domyślny plik konfiguracyjny zostanie przetworzony, należy podać plik do użycia w zmiennej środowiskowej APT_CONFIG. Informacje o składni pliku można znaleźć w apt.conf(5).

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

ZOBACZ TAKŻE

apt.conf(5)

DIAGNOSTYKA

apt-extracttemplates zwraca zero, gdy zakończyło się pomyślnie, 100 - w przypadku błędu.

BUGS

Strona błędów APT[1]. Aby zgłosić błąd w APT, proszę przeczytać /usr/share/doc/debian/bug-reporting.txt lub opis polecenia reportbug(1).

TŁUMACZENIE

Tłumaczenie stron podręcznika: Robert Luberda <robert@debian.org>, 2000-2012. Tłumaczenie przewodnika offline: Krzysztof Fiertek <akfedux@megapolis.pl>, 2004

Proszę zauważyć, że przetłumaczony dokument może zawierać fragmenty nieprzetłumaczone. Ma to na celu uniknięcie utracenia istotnych informacji, w przypadkach gdy oryginał zostanie zaktualizowany, a tłumaczenie - nie.

AUTORZY

Jason Gunthorpe

zespół APT

PRZYPISY

1.  Strona błędów APT
    https://bugs.debian.org/src:apt